Loading...
Searching...
No Matches
_PurpleAttentionType Struct Reference

Represents "nudges" and "buzzes" that you may send to a buddy to attract their attention (or vice-versa). More...

`#include <prpl.h>`

## Data Fields

const char * | name
| Shown in GUI elements.
const char * | incoming_description
| Shown when sent.
const char * | outgoing_description
| Shown when receied.
const char * | icon_name
| Icon to display (optional).
const char * | unlocalized_name
| Unlocalized name for UIs needing it.
gpointer | _reserved2
gpointer | _reserved3
gpointer | _reserved4

## Detailed Description

Represents "nudges" and "buzzes" that you may send to a buddy to attract their attention (or vice-versa).

Definition at line 117 of file prpl.h.

## Field Documentation

## _reserved2

gpointer _PurpleAttentionType::_reserved2

Definition at line 126 of file prpl.h.

## _reserved3

gpointer _PurpleAttentionType::_reserved3

Definition at line 127 of file prpl.h.

## _reserved4

gpointer _PurpleAttentionType::_reserved4

Definition at line 128 of file prpl.h.

## icon_name

const char* _PurpleAttentionType::icon_name

Icon to display (optional).

Definition at line 122 of file prpl.h.

## incoming_description

const char* _PurpleAttentionType::incoming_description

Shown when sent.

Definition at line 120 of file prpl.h.

## name

const char* _PurpleAttentionType::name

Shown in GUI elements.

Definition at line 119 of file prpl.h.

## outgoing_description

const char* _PurpleAttentionType::outgoing_description

Shown when receied.

Definition at line 121 of file prpl.h.

## unlocalized_name

const char* _PurpleAttentionType::unlocalized_name

Unlocalized name for UIs needing it.

Definition at line 123 of file prpl.h.

The documentation for this struct was generated from the following file:

- prpl.h